#include <iostream>

using namespace std;

int main()
{
int n;
int a;
double p;
int sum;
double maksimalan_porez;

cin>>n;

double max = INT_MIN;
double second_max  = INT_MIN;
double min = INT_MAX;
double second_min = INT_MAX;

for(int i = 0; i < n; i++) {
  cin>>a; cin>>p;
    if(p > max) {
        second_max = max;
        max = p;
        }

    if(p < max && p > second_max) {
        second_max = p;
        }


   if (p<min) {

    second_min = min;
    min = p;
   }

   if(p > min && p  < second_min) {
        second_min = p;
        }

}

if(p<=100 && p>=0){

if(a==a && max==min){

maksimalan_porez=(n*a)/100*p;
}
cout<<maksimalan_porez<<endl;

}else{

cout<< "0" << endl;
}

return 0;
}